Page MenuHomePhabricator

1.31.0-wmf.28 deployment blockers
Closed, ResolvedPublicRelease

Details

2018 week 14 1.31-wmf.28 Changes wmf/1.31.0-wmf.28

This MediaWiki Train Deployment is scheduled for the week of Monday, April 2nd:

Monday April 2ndTuesday, April 3rdWednesday, April 4thThursday, April 5thFriday
SWAT deployments only.Branch wmf.28 and deploy to Group 0 Wikis.Deploy wmf.28 to Group 1 Wikis.Deploy wmf.28 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.28 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.27
Next: 1.31.0-wmf.29

Event Timeline

greg created this task.Jan 2 2018, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 6:59 PM
greg triaged this task as Normal priority.Jan 17 2018, 4:42 PM
mmodell claimed this task.Mar 28 2018, 6:02 PM

Mentioned in SAL (#wikimedia-operations) [2018-04-03T19:07:06Z] <twentyafterfour> Preparing to deploy 1.31.0-wmf.28 refs T183967

Change 423777 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.31.0-wmf.28 refs T183967

https://gerrit.wikimedia.org/r/423777

Change 423777 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.31.0-wmf.28 refs T183967

https://gerrit.wikimedia.org/r/423777

Mentioned in SAL (#wikimedia-operations) [2018-04-03T20:28:55Z] <twentyafterfour@tin> Started scap: testwikis wikis to 1.31.0-wmf.28 refs T183967

Mentioned in SAL (#wikimedia-operations) [2018-04-03T21:15:34Z] <twentyafterfour@tin> Finished scap: testwikis wikis to 1.31.0-wmf.28 refs T183967 (duration: 46m 38s)

Change 423792 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.31.0-wmf.28 refs T183967

https://gerrit.wikimedia.org/r/423792

Change 423792 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.31.0-wmf.28 refs T183967

https://gerrit.wikimedia.org/r/423792

Mentioned in SAL (#wikimedia-operations) [2018-04-03T21:30:38Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group0 wikis to 1.31.0-wmf.28 refs T183967

Mentioned in SAL (#wikimedia-operations) [2018-04-03T22:14:11Z] <twentyafterfour> Finished MediaWiki Train for group0, 1.31.0-wmf.28 refs T183967

Change 424032 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.31.0-wmf.28 refs T183967

https://gerrit.wikimedia.org/r/424032

Change 424032 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.31.0-wmf.28 refs T183967

https://gerrit.wikimedia.org/r/424032

Mentioned in SAL (#wikimedia-operations) [2018-04-04T19:18:05Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group1 wikis to 1.31.0-wmf.28 refs T183967

Mentioned in SAL (#wikimedia-operations) [2018-04-04T19:19:22Z] <twentyafterfour@tin> Synchronized php: group1 wikis to 1.31.0-wmf.28 refs T183967 (duration: 01m 16s)

Change 424384 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.31.0-wmf.28 refs T183967

https://gerrit.wikimedia.org/r/424384

Change 424384 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.31.0-wmf.28 refs T183967

https://gerrit.wikimedia.org/r/424384

Mentioned in SAL (#wikimedia-operations) [2018-04-05T19:52:07Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: all wikis to 1.31.0-wmf.28 refs T183967

Mentioned in SAL (#wikimedia-operations) [2018-04-05T20:10:37Z] <twentyafterfour@tin> Synchronized php-1.31.0-wmf.28/extensions/Echo/: Sync https://gerrit.wikimedia.org/r/#/c/424379/ refs T183967 (duration: 01m 05s)

mmodell closed this task as Resolved.Apr 6 2018, 9:14 AM